TIFFFIELDTAG(3tiff)

NAME
TIFFFieldTag - get TIFF field tag value from field information

SYNOPSIS

    #include <tiffio.h>

uint32_t TIFFFieldTag(const TIFFField *fip)

DESCRIPTION

TIFFFieldTag() returns the numeric tag value for a TIFF field. This can be compared to various constants exported by the libtiff header files, such as TIFFTAG_IMAGEWIDTH.

fip is a field information pointer previously returned by TIFFFindField() <#c.TIFFFindField>, TIFFFieldWithTag() <#c.TIFFFieldWithTag>, or TIFFFieldWithName() <#c.TIFFFieldWithName>.

RETURN VALUES

TIFFFieldTag() returns an integer tag value.

SEE ALSO

TIFFFieldDataType <> (3tiff), TIFFFieldName <> (3tiff), TIFFFieldPassCount <> (3tiff), TIFFFieldQuery <> (3tiff), TIFFFieldReadCount <> (3tiff), TIFFFieldWriteCount <> (3tiff), libtiff <> (3tiff)

Author
LibTIFF contributors

Copyright
1988-2025, LibTIFF contributors